import React, { useEffect, useState } from "react";
import { Card } from "./Card/Card";
import { useFetchOrigin } from "../../hooks/useFetchOrigin";
import { Flight } from "../../Types";
import './Home.css'
import { Table, Thead, Tbody, Tr, Th, Td } from 'react-super-responsive-table';
import 'react-super-responsive-table/dist/SuperResponsiveTableStyle.css';

interface Props {
	flights?: Flight[];
}

export const Departure: React.FC<Props> = (props) => {
    let origin = process.env.REACT_APP_ORIGIN;
    // let destination = process.env.REACT_APP_ORIGIN;

	const { zones, error } = useFetchOrigin(origin);
    const [startIndex, setStartIndex] = useState(0);

    useEffect(() => {
        const interval = setInterval(() => {
            if (zones.length <= 10) {
                return;
            }
        //   setStartIndex((prevIndex) => (prevIndex + 10) % zones.length);
          setStartIndex((prevIndex) => (prevIndex + 10) >= zones.length ? 0 : (prevIndex + 10));
        }, 5000);
      
        return () => clearInterval(interval);
      }, [zones]);


	return (
		<div >
			<h2>Departure</h2>
			<div className="Items">
					{/* {(props.flights ? props.flights : zones).map((u) => {
						return <Card key={u.id} flight={u} />;
					})} */}
                {/* <table>
        <thead>
          <tr>
            <th>Flight code</th>
            <th>Departure</th>
            <th>Departure time</th>
            <th>Destination</th>
            <th>Arrival time</th>
            <th>Gate</th>
            <th>Status</th>
          </tr>
        </thead>
        <tbody> */}
            <Table>
      <Thead>
        <Tr>
            <Th>Code</Th>
            {/* <Th>Departure</Th> */}
            <Th>Time</Th>
            <Th>Destination</Th>
            {/* <Th>Arrival time</Th> */}
            <Th>Gate</Th>
            <Th>Status</Th>
        </Tr>
      </Thead>
      <Tbody>
          {zones.length > 0 && (
            <>
                  {zones.slice(startIndex, startIndex + 10).map((flight) => (
                //   {/* {Array.from({ length: zones.length < 10 ? zones.length : 10 }).map((_, index) => {
                //         const flightIndex = (startIndex + index) % zones.length;
                //         const flight = zones[flightIndex];

                //         return ( */}
          <Tr key={flight.id} className={flight.status === 'Delayed' ? 'delayed-flight' : ''}>
          {/* <td>{flight.id}</td> */}
          <Td>{flight.id}-{flight.flight_code}</Td>
          {/* <Td>{flight.origin}</Td> */}
          <Td>{flight.departure_time}</Td>
          <Td>{flight.destination}</Td>
          {/* <Td>{flight.arrival_time}</Td> */}
          <Td>{flight.gate}</Td>
          <Td>{flight.status}</Td>
        </Tr>
                        // );
                  ))}
                  {startIndex + 10 >= zones.length && (
                    <>
                    {Array.from({ length: startIndex + 10 - zones.length }).map((_, index) => {
                        return (
                              <Tr>
            <Td></Td>
            <Td></Td>
            <Td></Td>
            <Td></Td>
            <Td></Td>
        </Tr>
            )
            })            }
                    </>
                  )
                    }
                  {/* })} */}
            </>
          )}
          </Tbody>
    </Table>
        {/* </tbody>
      </table> */}
				{error ? <div className="Disconnected">{error}</div> : <></>}
			</div>
		</div>
	);
};
